CC := gcc
FLAGS := -lm
INCLUDE := lib

SOURCES := $(shell find -L . -type f -name "*.c")
OBJECTS := $(SOURCES:.c=.o)

make: test.out

%.o: %.c
	$(CC) $(FLAGS) -I$(INCLUDE) -c -MD -MP -o $@ $<

test.out: $(OBJECTS)
	$(CC) $(FLAGS) -I$(INCLUDE) -o $@ $^


clean:
	rm -f $(OBJECTS) test.out


-include $(OBJECTS:.o=.d)
